<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2011 Coppermine Dev Team
  v1.0 originally written by Gregory Demar

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.5.12
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/trunk/cpg1.5.x/search.php $
  $Revision: 8154 $
**********************************************/

define('IN_COPPERMINE', true);
define('SEARCH_PHP', true);

require('include/init.inc.php');

if (!USER_ID && $CONFIG['allow_unlogged_access'] == 0) {
    $redirect = 'login.php';
    header("Location: $redirect");
    exit();
}

$icon_array['search'] = cpg_fetch_icon('search', 2);

pageheader($lang_search_php['title']);
$text = '';
$text .= <<< EOT

<form method="get" action="thumbnails.php" name="searchcpg" id="cpgform3">
EOT;

$text .= starttable('100%', $icon_array['search'] . $lang_search_php['title'], 4, '', true);

$ip = GALLERY_ADMIN_MODE ? '
        <tr>
                <td>
                        <input type="checkbox" name="pic_raw_ip" class="checkbox" id="pic_raw_ip" /><label for="pic_raw_ip" class="clickable_option">'.$lang_search_php['ip_address'].'</label>
                </td>
        </tr>' :
        '<tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
        </tr>';

$customs = '';

foreach (range(1, 4) as $i) {

    $value = $CONFIG["user_field{$i}_name"];
    
    if (!$value) {
        continue;
    }

    $customs .= <<< EOT
                                        <tr>
                                                <td>
                                                    <input type="checkbox" name="user$i" id="user$i" class="checkbox" /><label for="user$i" class="clickable_option">$value</label>
                                                </td>
                                        </tr>

EOT;
}

$text .= <<< EOT
        <tr>
                <td class="tableh2">Woods:</td>
                <td class="tableh2">Grades:</td>
                <td class="tableh2">Other:</td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="ash" id="woods_ash" class="checkbox" /><label for="title" class="clickable_option">Ash</label></td>
                <td><input type="checkbox" name="grades[]" value="country" id="grades_country" class="checkbox" /><label for="title" class="clickable_option">Country</label></td>
                <td><input type="checkbox" name="other[]" value="stain" id="other_stain" class="checkbox" /><label for="title" class="clickable_option">Stain</label></td>
                <td>
                    <button type="submit" class="button" name="submit" id="submit" value="{$lang_search_php['submit_search']}">{$icon_array['search']}{$lang_search_php['submit_search']}</button>
                    <input type="hidden" name="album" value="search" />
                    <input type="hidden" name="type" value="custom" />
                    <input type="hidden" name="keywords" value="on" />
                    <input type="hidden" name="search" value="yes" />
                </td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="birch" id="woods_birch" class="checkbox" /><label for="title" class="clickable_option">Birch</label></td>
                <td><input type="checkbox" name="grades[]" value="select" id="grades_select" class="checkbox" /><label for="title" class="clickable_option">Select</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="butternut" id="woods_butternut" class="checkbox" /><label for="title" class="clickable_option">Butternut</label></td>
                <td><input type="checkbox" name="grades[]" value="prime" id="grades_prime" class="checkbox" /><label for="title" class="clickable_option">Prime</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="cherry" id="woods_cherry" class="checkbox" /><label for="title" class="clickable_option">Cherry</label></td>
                <td><input type="checkbox" name="grades[]" value="barn style" id="grades_barn_style" class="checkbox" /><label for="title" class="clickable_option">Barn Style</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="eastern white pine" id="woods_eastern_white_pine" class="checkbox" /><label for="title" class="clickable_option">Eastern White Pine</label></td>
                <td><input type="checkbox" name="grades[]" value="rustic" id="grades_rustic" class="checkbox" /><label for="title" class="clickable_option">Rustic</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="hard maple" id="woods_hard_maple" class="checkbox" /><label for="title" class="clickable_option">Hard Maple</label></td>
                <td><input type="checkbox" name="grades[]" value="quartered" id="grades_quartered" class="checkbox" /><label for="title" class="clickable_option">Quartered</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="heart pine" id="woods_heart_pine" class="checkbox" /><label for="title" class="clickable_option">Heart Pine</label></td>
                <td><input type="checkbox" name="grades[]" value="rift" id="grades_rift" class="checkbox" /><label for="title" class="clickable_option">Rift</label></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="hickory" id="woods_hickory" class="checkbox" /><label for="title" class="clickable_option">Hickory</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="red oak" id="woods_red_oak" class="checkbox" /><label for="title" class="clickable_option">Red Oak</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="southern yellow pine" id="woods_southern_yellow_pine" class="checkbox" /><label for="title" class="clickable_option">Southern Yellow Pine</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="walnut" id="woods_walnut" class="checkbox" /><label for="title" class="clickable_option">Walnut</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="white oak" id="woods_white_oak" class="checkbox" /><label for="title" class="clickable_option">White Oak</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="salsa" id="woods_thermory_salsa" class="checkbox" /><label for="title" class="clickable_option">Thermory&reg; Salsa</label></td>
                <td></td>
                <td></td>
        </tr>
        <tr>
                <td><input type="checkbox" name="woods[]" value="tango" id="woods_thermory_tango" class="checkbox" /><label for="title" class="clickable_option">Thermory&reg; Tango</label></td>
                <td></td>
                <td></td>
        </tr>
EOT;


$text .= endtable(true);
$text .= '</form>';

$text = CPGPluginAPI::filter('search_form', $text);
echo $text;

if ($CONFIG['clickable_keyword_search'] != 0) {
    include('include/keyword.inc.php');
}

echo <<< EOT
      <script language="javascript" type="text/javascript">
      <!--
      document.searchcpg.search.focus();
      -->
      </script>
EOT;

pagefooter();

?>